
Redmine - Defect #21227

Email reminders sent for closed issues

2015-11-13 10:52 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.1.1

Description

We receive E-Mail reminders for closed tickets, too. I actually don't know how the emails are triggered. I did not add a cronjob for

that. The only cronjob that runs is:

*/5 * * * * wget -O - "http://127.0.0.1/helpdesk_mailer/get_mail?key=secret" 

 The ticket was closed on 10.11.2015.

The due date is 10.11.2015.

The email notification is sent every day (today is 13.11.2015)

My colleague receives mails with this parameters:

The ticket was closed on 04.11.2015

The due date is 04.11.2015

The email notification is sent every day (today is 13.11.2015)

We migrated on 04.11.2015 redmine from 2.3.3.stable to 3.1.1.stable

Issues that were closed before migration do not send notifications. According to /issue_statuses the status "Closed" is marked as

"Issue closed".

Redmine info:

Environment:

  Redmine version                3.1.1.stable

  Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

  Rails version                  4.2.4

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.10

  Git                            2.1.4

  Filesystem                     

Redmine plugins:

  redmine_contacts               4.0.3

  redmine_contacts_helpdesk      3.0.1

Related issues:

Related to Redmine - Defect #22670: Email reminder sent even if ticket is closed Closed

History

#1 - 2015-11-13 10:54 - Anonymous

I posted the same problem here:

#8108#note-11

I'm not sure if the old issue would be re-opened.

#2 - 2015-12-13 05:35 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid
https://www.redmine.org/issues/8108#note-11


https://github.com/rubynovich/redmine_contacts_helpdesk/blob/4aadaf80956/config/routes.rb#L15

match "helpdesk_mailer/get_mail" => "helpdesk_mailer#get_mail" 

#3 - 2016-03-10 11:47 - Anonymous

- Status changed from Closed to Reopened

I don't understand you advice. Shall I add, modify or delete this line (line 15)?

Are you sure this problem is related to the contacts plugin?

Our full plugins/redmine_contacts_helpdesk/config/routes.rb looks like this:

#custom routes for this plugin

resources :helpdesk_tickets, :only => [:edit, :destroy, :update]

resources :projects do

  resources :canned_responses, :only => [:new, :create]

end

resources :canned_responses do

  collection do

    post :add 

  end

end

match "helpdesk_mailer" => "helpdesk_mailer#index",:via => [:get, :post]

match "helpdesk_mailer/get_mail" => "helpdesk_mailer#get_mail", :via => [:get, :post, :put]

match "helpdesk/save_settings" => "helpdesk#save_settings", :via => [:get, :post, :put ]

match "helpdesk/get_mail" => "helpdesk#get_mail", :via => [:get, :post, :put]

match "helpdesk/delete_spam" => "helpdesk#delete_spam", :via => [:delete]

match "helpdesk/email_note.:format" => "helpdesk#email_note", :via => [:get, :post]

match "helpdesk/create_ticket.:format" => "helpdesk#create_ticket", :via => [:get, :post]

match "helpdesk/show_original" => "helpdesk#show_original", :via => [:get, :post]

match "helpdesk_reports/index/(:project_id)" => 'helpdesk_reports#index', :via => [:get, :post]

match "helpdesk_reports/staff_report/(:project_id)" => 'helpdesk_reports#staff_report', :via => [:get, :post]

match "helpdesk_reports/tickets_report/(:project_id)" => 'helpdesk_reports#tickets_report', :via => [:get, :po

st]

get "mail_fetcher/receive_imap" => "mail_fetcher#receive_imap" 

get "mail_fetcher/receive_pop3" => "mail_fetcher#receive_pop3" 

match 'tickets/:id/:hash' => 'public_tickets#show', :as => :public_ticket, :via => [:get, :post]

match 'tickets/:id/add_comment/:hash' => 'public_tickets#add_comment', :as => :public_ticket_add_comment, :via

 => [:get, :post]

match 'vote/:id/:hash' => 'helpdesk_votes#show', :via => :get, :as => 'helpdesk_votes_show'

match 'vote/:id/:hash' => 'helpdesk_votes#vote', :via => :post, :as => 'helpdesk_votes_vote'

match 'vote/:id/:vote/:hash' => 'helpdesk_votes#fast_vote', :via => :get, :as => 'helpdesk_votes_fast_vote'

get 'attachments/:id/:ticket_id/:hash/:filename', :to => 'attachments#show', :id => /\d+/, :filename => /.*/, 

:as => 'hashed_named_attachment'

get 'attachments/download_hashed/:id/:ticket_id/:hash/:filename', :to => 'attachments#download', :id => /\d+/,

 :filename => /.*/, :as => 'hashed_download_named_attachment'

#4 - 2016-03-10 16:33 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Please contact plugin author.

#5 - 2016-03-10 16:35 - Toshi MARUYAMA

Simeon Felis wrote:

Are you sure this problem is related to the contacts plugin?

 "http://127.0.0.1/helpdesk_mailer/get_mail?key=secret"

#6 - 2016-03-23 10:18 - Markus Harrieder

We contacted the plugin authot, but as expected, the issue is not related to the contacts plugin.
https://github.com/rubynovich/redmine_contacts_helpdesk/blob/4aadaf80956/config/routes.rb#L15


I'm sorry but it seems the problem is not in our plugin. This cronjob only receives e-mails and doesn't send a

ny notifications

Even the line you higlighted says get_mail (helpdesk_mailer# get_mail ), our problem is sending notifications from Redmine.

The notification function is a default Redmine function and it is sending notifications for tickets which are already closed. This is a defect. If its not,

please explain the behavior in more detail.    

Thank you in advance!

Best regards,

Markus Harrieder

#7 - 2016-03-23 11:32 - Toshi MARUYAMA

Please contact other plugin author.

#8 - 2016-03-23 12:18 - Anonymous

- File installed_plugins.png added

We only have two plugins enabled:

 installed_plugins.png 

As the author of the plugins stated, this seems not to be related to these plugins. Are there other plugins not visible here? Could you point me to the

correct auther of these?

I have to clarify that this issue is listed in the daily reminder "...x issues are due in the next x days..." (I don't know the exact english version).

The issue that should not be listed there looks like this:

i l l i

status_id looks like this:

id name is_closed position default_d

one_ratio

1 New 0 1

2 In

Progress

0 3

3 Resolved 0 4

4 Feedback 0 5

5 Closed 1 6

6 Rejected 1 7

7 Confirmed 0 2

#9 - 2016-03-23 12:18 - Anonymous

- Status changed from Closed to Reopened

#10 - 2016-03-23 12:47 - Toshi MARUYAMA

- Status changed from Reopened to Closed

We don't provide any technical support.

#11 - 2016-04-29 14:26 - Toshi MARUYAMA
- Related to Defect #22670: Email reminder sent even if ticket is closed added

Files

installed_plugins.png 55.1 KB 2016-03-23 Anonymous
